<?xml version="1.0" encoding="utf-8"?>
<!--Generated by DataTracks Rainbow version 3.5 on 07-May-2024 [08:23:03] {AM}-->
<schema targetNamespace="http://www.vub.sk/20231231" elementFormDefault="qualified" xmlns:vub="http://www.vub.sk/20231231" xmlns="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:ifrs-full="https://xbrl.ifrs.org/taxonomy/2022-03-24/ifrs-full" xmlns:esef_cor="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" xmlns:lei="http://www.xbrl.org/taxonomy/int/lei/2020-07-02" xmlns:gen="http://xbrl.org/2008/generic" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21">
  <annotation>
    <appinfo>
      <link:roleType roleURI="http://www.vub.sk/role/KonsolidovanVkazOFinannejSitucii" id="KonsolidovanVkazOFinannejSitucii">
        <link:definition>1001 - Statement - Konsolidovaný výkaz o finančnej situácii</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.vub.sk/role/KonsolidovanVkazZiskovAStrtAOstatnchSastKomplexnhoVsledkuZaRok" id="KonsolidovanVkazZiskovAStrtAOstatnchSastKomplexnhoVsledkuZaRok">
        <link:definition>1002 - Statement - Konsolidovaný výkaz ziskov a strát  a ostatných súčastí komplexného výsledku za rok</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.vub.sk/role/VkazZmienVlastnhoImania" id="VkazZmienVlastnhoImania">
        <link:definition>1003 - Statement - Výkaz zmien vlastného imania</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.vub.sk/role/VkazOPeanchTokochNepriamaMetda" id="VkazOPeanchTokochNepriamaMetda">
        <link:definition>1004 - Statement - Výkaz o peňažných tokoch, nepriama metóda</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.vub.sk/role/ZnakyKtorSaMusiaPouiAkSprvaObsahujeZodpovedajceInformcie" id="ZnakyKtorSaMusiaPouiAkSprvaObsahujeZodpovedajceInformcie">
        <link:definition>1005 - Disclosure - Značky, ktoré sa musia použiť, ak správa obsahuje zodpovedajúce informácie</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.vub.sk/role/Anchoring" id="Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:linkbaseRef xlink:type="simple" xlink:href="549300JB1P61FUTPEZ75-2023-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="549300JB1P61FUTPEZ75-2023-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="549300JB1P61FUTPEZ75-2023-12-31_lab-sk.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="549300JB1P61FUTPEZ75-2023-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="549300JB1P61FUTPEZ75-2023-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-sk.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:role="http://www.xbrl.org/2003/role/LinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
    </appinfo>
  </annotation>
  <import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
  <import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" />
  <import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" />
  <import namespace="http://www.xbrl.org/2009/role/negated" schemaLocation="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd" />
  <import namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd" />
  <import namespace="http://www.xbrl.org/dtr/type/2020-01-21" schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd" />
  <element name="FinancialAssetsAtAmortizedCostDueFromCustomers" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="vub_FinancialAssetsAtAmortizedCostDueFromCustomers" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <element name="FinancialAssetsAtAmortizedCostDueFromOtherBanks" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="vub_FinancialAssetsAtAmortizedCostDueFromOtherBanks" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <element name="FinancialAssetsAtAmortizedCostOfWhichPledgedAsCollateral" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="vub_FinancialAssetsAtAmortizedCostOfWhichPledgedAsCollateral" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <element name="FinancialAssetsAtFVThroughOCIOfWhichPledgedAsCollateral" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="vub_FinancialAssetsAtFVThroughOCIOfWhichPledgedAsCollateral" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <element name="NonTradingFinancialAssetsAtFairValueThroughProfitOrLoss" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="vub_NonTradingFinancialAssetsAtFairValueThroughProfitOrLoss" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <element name="OtherCapitalFunds" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="vub_OtherCapitalFunds" substitutionGroup="xbrli:item" xbrli:balance="credit" />
  <element name="FinancialLiabilitiesAtAmortizedCostDueToBanks" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="vub_FinancialLiabilitiesAtAmortizedCostDueToBanks" substitutionGroup="xbrli:item" xbrli:balance="credit" />
  <element name="ReversalOfDeferredIncomeTaxOnDisposedPropertyAndEquipment" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="vub_ReversalOfDeferredIncomeTaxOnDisposedPropertyAndEquipment" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <element name="ReversalOfDeferredIncomeTaxOnFtaReserveDueToVubLeasingMergerIntoVubBank" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="vub_ReversalOfDeferredIncomeTaxOnFtaReserveDueToVubLeasingMergerIntoVubBank" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <element name="InterestAndSimilarExpense" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="vub_InterestAndSimilarExpense" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <element name="NetProfitAttributableToMinorityInterestShare" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="vub_NetProfitAttributableToMinorityInterestShare" substitutionGroup="xbrli:item" xbrli:balance="credit" />
  <element name="NetProfitBeforeMinorityInterestShareExclusion" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="vub_NetProfitBeforeMinorityInterestShareExclusion" substitutionGroup="xbrli:item" xbrli:balance="credit" />
  <element name="OtherInterestIncome" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="vub_OtherInterestIncome" substitutionGroup="xbrli:item" xbrli:balance="credit" />
  <element name="ProfitOrLossBeforeShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="vub_ProfitOrLossBeforeShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" substitutionGroup="xbrli:item" xbrli:balance="credit" />
  <element name="ProvisionsNet" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="vub_ProvisionsNet" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <element name="SpecialLevyOfSelectedFinancialInstitution" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="vub_SpecialLevyOfSelectedFinancialInstitution" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <element name="OtherCapitalFundsMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="vub_OtherCapitalFundsMember" substitutionGroup="xbrli:item" />
  <element name="ReversalOfDividendsDistributedButNotCollected" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="vub_ReversalOfDividendsDistributedButNotCollected" substitutionGroup="xbrli:item" xbrli:balance="credit" />
  <element name="DisposalOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="vub_DisposalOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <element name="IncreaseInShareCapital" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="vub_IncreaseInShareCapital" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <element name="RepaymentsOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="vub_RepaymentsOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <element name="DecreaseIncreaseInFairValueChangesOfTheHedgedItemsInPortfolioHedgeOfInterestRateRiskAssets" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="vub_DecreaseIncreaseInFairValueChangesOfTheHedgedItemsInPortfolioHedgeOfInterestRateRiskAssets" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <element name="DecreaseIncreaseInFairValueChangesOfTheHedgedItemsInPortfolioHedgeOfInterestRateRiskLiabilities" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="vub_DecreaseIncreaseInFairValueChangesOfTheHedgedItemsInPortfolioHedgeOfInterestRateRiskLiabilities" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <element name="IncreaseDecreaseInFinancialAssetsAtFairValueThroughProfitOrLoss" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="vub_IncreaseDecreaseInFinancialAssetsAtFairValueThroughProfitOrLoss" substitutionGroup="xbrli:item" xbrli:balance="credit" />
</schema>